org.eclipse.wst.jsdt.chromium

## Interface JsScope.ObjectBased

All Superinterfaces:
  JsScope

Enclosing interface:
  JsScope

    public static interface JsScope.ObjectBased
    extends JsScope

Mirrors object scope, i.e. the one built above a JavaScript object. It's either 'with' or 'global' scope. Such scope contains all properties of the object, including indirect ones from the prototype chain.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.wst.jsdt.chromium.JsScope

`JsScope.Declarative, JsScope.ObjectBased, JsScope.Type, JsScope.Visitor<R>`

### Method Summary

All Methods Instance Methods Abstract Methods
`JsObject` `getScopeObject()`

### Methods inherited from interface org.eclipse.wst.jsdt.chromium.JsScope

`accept, asDeclarativeScope, asObjectBased, getType`

### Method Detail

#### getScopeObject

    JsObject getScopeObject()
                     throws MethodIsBlockingException

Throws:
  `MethodIsBlockingException` - because it may need to load value from remote